Cabal-1.18.1.5: A framework for packaging Haskell software

Copyright | Isaac Jones 2003-2006 Duncan Coutts 2009
Maintainer | cabal-devel@haskell.org
Portability | portable
Safe Haskell | None
Language | Haskell98

Distribution.Simple.NHC

Description

This module contains most of the NHC-specific code for configuring, building and installing packages.

Synopsis

- configure :: Verbosity -> Maybe FilePath -> Maybe FilePath -> ProgramConfiguration -> IO (Compiler, Maybe Platform, ProgramConfiguration)
- getInstalledPackages :: Verbosity -> PackageDBStack -> ProgramConfiguration -> IO PackageIndex
- buildLib :: Verbosity -> PackageDescription -> LocalBuildInfo -> Library -> ComponentLocalBuildInfo -> IO ()
- buildExe :: Verbosity -> PackageDescription -> LocalBuildInfo -> Executable -> ComponentLocalBuildInfo -> IO ()
- installLib :: Verbosity -> FilePath -> FilePath -> PackageIdentifier -> Library -> ComponentLocalBuildInfo -> IO ()
- installExe :: Verbosity -> FilePath -> FilePath -> (FilePath, FilePath) -> Executable -> IO ()

# Documentation

configure :: Verbosity -> Maybe FilePath -> Maybe FilePath -> ProgramConfiguration -> IO (Compiler, Maybe Platform, ProgramConfiguration)

getInstalledPackages :: Verbosity -> PackageDBStack -> ProgramConfiguration -> IO PackageIndex

buildLib :: Verbosity -> PackageDescription -> LocalBuildInfo -> Library -> ComponentLocalBuildInfo -> IO ()

FIX: For now, the target must contain a main module. Not used ATM. Re-add later.

buildExe :: Verbosity -> PackageDescription -> LocalBuildInfo -> Executable -> ComponentLocalBuildInfo -> IO ()

Building an executable for NHC.

installLib

Arguments

:: Verbosity | verbosity
-> FilePath | install location
-> FilePath | Build location
-> PackageIdentifier |
-> Library |
-> ComponentLocalBuildInfo |
-> IO () |

Install for nhc98: .hi and .a files

installExe

Arguments

:: Verbosity | verbosity
-> FilePath | install location
-> FilePath | Build location
-> (FilePath, FilePath) | Executable (prefix,suffix)
-> Executable |
-> IO () |

Install executables for NHC.